Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
Settings.h File Reference

Libargus API: Settings API More...

Go to the source code of this file.

## Classes

class | Argus::ISourceSettings
| Interface to the source settings (provided by IRequest::getSourceSettings()). More...
class | Argus::IAutoControlSettings
| Interface to the auto control settings (provided by IRequest::getAutoControlSettings()). More...
class | Argus::IStreamSettings
| Interface to per-stream settings (provided by IRequest::getStreamSettings()). More...
class | Argus::IDenoiseSettings
| Interface to denoise settings. More...
class | Argus::IEdgeEnhanceSettings
| Interface to edge enhancement settings. More...
class | Argus::IVideoStabilizationSettings
| Interface to video stabilization settings. More...

## Namespaces

namespace | Argus

## Functions

| Argus::DEFINE_UUID (InterfaceID, IID_SOURCE_SETTINGS, eb7ae38c, 3c62, 4161, a92a, a6, 4f, ba, c6, 38, 83)
| Argus::DEFINE_UUID (InterfaceID, IID_AUTO_CONTROL_SETTINGS, 1f2ad1c6, cb13, 440b, bc95, 3f, fd, 0d, 19, 91, db)
| Argus::DEFINE_UUID (InterfaceID, IID_STREAM_SETTINGS, c477aeaf, 9cc8, 4467, a834, c7, 07, d7, b6, 9f, a4)
| Argus::DEFINE_UUID (InterfaceID, IID_DENOISE_SETTINGS, 7A461D20, 6AE1, 11E6, BDF4, 08, 00, 20, 0C, 9A, 66)
| Argus::DEFINE_UUID (InterfaceID, IID_EDGE_ENHANCE_SETTINGS, 7A461D21, 6AE1, 11E6, BDF4, 08, 00, 20, 0C, 9A, 66)
| Argus::DEFINE_UUID (InterfaceID, IID_VIDEO_STABILIZATION_SETTINGS, 7A461D22, 6AE1, 11E6, BDF4, 08, 00, 20, 0C, 9A, 66)

## Detailed Description

Libargus API: Settings API

Description: This file defines the settings that control the sensor module.

Definition in file Settings.h.